C
C	SNDRCV.INC - Include file for SNDRCV program.
C
	IMPLICIT INTEGER (A-Z)

	INTEGER*4 BYTCNT, RECCNT, TBYTES, TRECNT
C
C	Parameters.
C
	PARAMETER EOT = 4		! End of transmission.
	PARAMETER ENQ = 5		! Enquire.
	PARAMETER ACK = 6		! Acknowlegment.
	PARAMETER CR  = 13		! Carriage return.
	PARAMETER NAK = 21		! Negative Acknowlegment.
	PARAMETER SYN = 22		! Synchronize byte.
	PARAMETER CAN = 24		! Cancel transmission.
	PARAMETER EOF = 26		! End of file.
	PARAMETER BUFSIZ = 256		! Buffer size.
	PARAMETER RLIMIT = 8		! Maximum # of retries.
	LOGICAL*1 RBUFF(BUFSIZ)		! Receive buffer.
	LOGICAL*1 XBUFF(BUFSIZ)		! Transmit buffer.
	LOGICAL*1 TBUFF(100)		! Temporary buffer.
C
C	Logical Unit Numbers (LUNs) and Event Flags (EFNs).
C
	PARAMETER IOLUN = 1		! File I/O LUN.
	PARAMETER TILUN = 5		! Terminal input LUN.
	PARAMETER TOLUN = 6		! Terminal output LUN.
	PARAMETER TIEFN = 5		! Terminal input EFN.
	PARAMETER TOEFN = 6		! Terminal output EFN.
C
C	The filename buffer.
C
	LOGICAL*1 FILNAM(40)		! Store file name here.
C
C	Modes for Get/Send.
C
	PARAMETER IN=1, OUT=2
C
C	Logicals.
C
	LOGICAL FILOPN			! File open flag.
C
C	Commons.
C
	COMMON /BUFFER/ RBUFF, XBUFF, TBUFF, FILNAM
	COMMON /COUNTS/ FLOW, BCCERR, DAOERR, VERERR, TMOCNT
	COMMON /FLAGS/	FILOPN
C
C	End of SNDRCV.INC
C
